Skip to main content
GET
/
api
/
v1
/
sports
/
{sportID}
/
schedule
Get event schedule for a sport
curl --request GET \
  --url 'https://therundown.io/api/v1/sports/{sportID}/schedule?key='
{
  "schedules": [
    {
      "event_id": "09bfa53f8484a63e584398545c035932",
      "event_uuid": "11f1-07a5-c61d4000-867b-48b2af0d735d",
      "sport_id": 4,
      "event_date": "2026-02-12T00:00:00Z",
      "league_name": "National Basketball Association",
      "season_type": "Regular Season",
      "season_year": 2026,
      "event_name": "Atlanta at Charlotte",
      "teams_normalized": [
        {
          "team_id": 11,
          "name": "Atlanta",
          "mascot": "Hawks",
          "abbreviation": "ATL",
          "is_away": true,
          "is_home": false
        },
        {
          "team_id": 12,
          "name": "Charlotte",
          "mascot": "Hornets",
          "abbreviation": "CHA",
          "is_away": false,
          "is_home": true
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.therundown.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

key
string
query
required

API key as query parameter

Path Parameters

sportID
integer
required

Sport ID. Common values: 1=NCAAF, 2=NFL, 3=MLB, 4=NBA, 5=NCAAB, 6=NHL, 7=UFC, 8=WNBA, 9=CFL, 10=MLS, 11=EPL, 16=UEFA Champions League

Query Parameters

limit
integer
default:50
season_year
integer
season_type_id
integer
from
string<date>
team_id
integer
last_event_uuid
string

Cursor for pagination — pass the last event UUID from previous page

sort
enum<string>
default:asc
Available options:
asc,
desc
conference_id
integer
division_id
integer
include_teams
string

Include team details when present

Response

200 - application/json

Schedule

schedules
object[]